# NetException

open class NetException(request: Request, info: String?, cause: Throwable?) : IOException
Content copied to clipboard

Net网络异常

## Parameters

request

请求信息

info

异常信息

## Constructors

NetException
Link copied to clipboard
fun NetException(request: Request, info: String? = null, cause: Throwable? = null)
Content copied to clipboard
请求信息

## Functions

getLocalizedMessage
Link copied to clipboard
open override fun getLocalizedMessage(): String?
Content copied to clipboard

## Properties

info
Link copied to clipboard
val info: String? = null
Content copied to clipboard
异常信息
request
Link copied to clipboard
val request: Request
Content copied to clipboard
请求信息

## Inheritors

ConvertException
Link copied to clipboard
DownloadFileException
Link copied to clipboard
NetConnectException
Link copied to clipboard
NetSocketTimeoutException
Link copied to clipboard
NetUnknownHostException
Link copied to clipboard
NoCacheException
Link copied to clipboard
RequestParamsException
Link copied to clipboard
ResponseException
Link copied to clipboard
ServerResponseException
Link copied to clipboard